%define version 1
%define release %mkrel 2


Summary: UPLOS grub graphical boot theme
Name:    gfxboot-theme-uplos
Version: %version
Release: %release
License: GPL 
Group: System/Boot and Init
URL: http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Source: uplos-gfxboot-theme-%{version}.tar.xz
#
Source1: back.jpg
Source2: welcome.jpg
Source3: timer_a.jpg
Source4: grub-gfxmenu

BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
Obsoletes: %name < %version
Obsoletes: pclinuxos-gfxboot-theme
Obsoletes: gfxboot-theme-pclinuxos
Provides: uplos-gfxboot-theme = %version-%release

# Remove these as they are not compatible with sylinux 6.02
#----------------------------------------------------------
Obsoletes: LXDEBlueSilver-gfxboot-theme < %version
Obsoletes: gfxboot-theme-PCLOS410 < %version
Obsoletes: gfxboot-theme-black-n-gray < %version
Obsoletes: gfxboot-theme-lxde < %version
Obsoletes: gfxboot-theme-lxde64 < %version
Obsoletes: gfxboot-theme-ob-landscape < %version
Obsoletes: gfxboot-theme-pclinuxos-black < %version
Obsoletes: gfxboot-theme-silk_64 < %version
Obsoletes: pclinuxos-mate-gfxboot-theme < %version
Obsoletes: gfxboot-theme-bacon < %version
Obsoletes: LXDEBlue-gfxboot-theme < %version
Obsoletes: gfxboot-theme-bluedobie < %version
Obsoletes: gfxboot-theme-bluemoon < %version
Obsoletes: gfxboot-theme-coffee < %version
Obsoletes: lxde-bluerain-gfxboot-theme < %version
Obsoletes: task-theme-silk_64 < %version
Obsoletes: task-theme-pclinuxos-black < %version
Obsoletes: task-theme-bacon < %version
Obsoletes: task-theme-bluedobie < %version
Obsoletes: task-theme-bluemoon < %version
Obsoletes: task-theme-coffee < %version
Obsoletes: task-theme-PCLOS410 < %version
#----------------------------------------------------------

%description
This package provides the UPLOS grub/ISO gfxboot theme.

%prep
%setup -q -n uplos-gfxboot-theme-%{version}

# our jpegs:
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} data-install/
install -m 644 %{SOURCE1} %{SOURCE3} data-boot/

%build
PATH="$PATH:/usr/sbin" make

%install
dest=%{buildroot}%{_datadir}/gfxboot/themes/UPLOS
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE4} %{buildroot}%{_sbindir}


%pre
rm -f /usr/share/gfxboot/themes/current
rm -rf /usr/share/gfxboot/themes/UPLOS

%posttrans
ln -fs /usr/share/gfxboot/themes/UPLOS /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%files
%_sbindir/*
%_datadir/gfxboot/themes/UPLOS/


%changelog
* Tue Oct 25 2016 tele <tele> 
- rebuild for UPLOS
- read more in https://en.opensuse.org/SDB:Gfxboot
- read more in http://pclinuxoshelp.com/index.php/Grub_background_theming

* Fri Dec 11 2015 pp <pp> 4.5.1-3pclos2016
- update for 2016

* Sun Dec 21 2014 pinoc <vogtpet at gmail.com> 4.5.1-2pclos2015
- update for 2015

* Thu Jun 19 2014 bb <bb> 4.5.1-1pclos2014
- change name scheme
